<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Generic Trace Generator (GTG): Memory management</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Generic Trace Generator (GTG)
   &#160;<span id="projectnumber">0.1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">Memory management</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga5cdc8881f51fa5a160b12cab91cd1a43"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GTGMemory.html#ga5cdc8881f51fa5a160b12cab91cd1a43">gtg_block_memory_init</a> (<a class="el" href="GTGMemory_8h.html#ac92a27f812adb022f63f0d6754ec3991">gtg_memory_t</a> *memory, size_t block_size, long initial_block_number)</td></tr>
<tr class="memdesc:ga5cdc8881f51fa5a160b12cab91cd1a43"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialize the allocator.  <a href="#ga5cdc8881f51fa5a160b12cab91cd1a43">More...</a><br /></td></tr>
<tr class="separator:ga5cdc8881f51fa5a160b12cab91cd1a43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1a62c5f680d0d46d7fcc82627830d33d"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GTGMemory.html#ga1a62c5f680d0d46d7fcc82627830d33d">gtg_block_malloc</a> (<a class="el" href="GTGMemory_8h.html#ac92a27f812adb022f63f0d6754ec3991">gtg_memory_t</a> memory)</td></tr>
<tr class="memdesc:ga1a62c5f680d0d46d7fcc82627830d33d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Allocate a block of data.  <a href="#ga1a62c5f680d0d46d7fcc82627830d33d">More...</a><br /></td></tr>
<tr class="separator:ga1a62c5f680d0d46d7fcc82627830d33d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga67019a4108ad51fec4870174c50aa857"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__GTGMemory.html#ga67019a4108ad51fec4870174c50aa857">gtg_block_free</a> (<a class="el" href="GTGMemory_8h.html#ac92a27f812adb022f63f0d6754ec3991">gtg_memory_t</a> memory, void *ptr)</td></tr>
<tr class="memdesc:ga67019a4108ad51fec4870174c50aa857"><td class="mdescLeft">&#160;</td><td class="mdescRight">Free a block of data.  <a href="#ga67019a4108ad51fec4870174c50aa857">More...</a><br /></td></tr>
<tr class="separator:ga67019a4108ad51fec4870174c50aa857"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ga67019a4108ad51fec4870174c50aa857"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gtg_block_free </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="GTGMemory_8h.html#ac92a27f812adb022f63f0d6754ec3991">gtg_memory_t</a>&#160;</td>
          <td class="paramname"><em>memory</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Free a block of data. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">memory</td><td>The memory describer </td></tr>
    <tr><td class="paramname">ptr</td><td>The block of data to free </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga1a62c5f680d0d46d7fcc82627830d33d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void * gtg_block_malloc </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="GTGMemory_8h.html#ac92a27f812adb022f63f0d6754ec3991">gtg_memory_t</a>&#160;</td>
          <td class="paramname"><em>memory</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Allocate a block of data. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">memory</td><td>The memory describer </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A pointer to a block or NULL if allocation failed </dd></dl>

</div>
</div>
<a class="anchor" id="ga5cdc8881f51fa5a160b12cab91cd1a43"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gtg_block_memory_init </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="GTGMemory_8h.html#ac92a27f812adb022f63f0d6754ec3991">gtg_memory_t</a> *&#160;</td>
          <td class="paramname"><em>memory</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>block_size</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">long&#160;</td>
          <td class="paramname"><em>initial_block_number</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Initialize the allocator. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">memory</td><td>A memory describer </td></tr>
    <tr><td class="paramname">block_size</td><td>The block size to be allocated when malloc is called </td></tr>
    <tr><td class="paramname">initial_block_number</td><td>The number of blocks to allocate initialy </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Mon Jun 2 2014 10:59:53 for Generic Trace Generator (GTG) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
